Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_trace_arg_struct Struct Reference

`#include <vm_core.h>`

## Data Fields
rb_event_flag_t | event
rb_execution_context_t * | ec
const rb_control_frame_t * | cfp
VALUE | self
ID | id
ID | called_id
VALUE | klass
VALUE | data
int | klass_solved
int | lineno
VALUE | path

## Detailed Description

Definition at line 1874 of file vm_core.h.

## Field Documentation

## ◆ called_id

ID rb_trace_arg_struct::called_id

Definition at line 1880 of file vm_core.h.

## ◆ cfp

const rb_control_frame_t * rb_trace_arg_struct::cfp

Definition at line 1877 of file vm_core.h.

Referenced by rb_tracearg_binding(), and rb_tracearg_parameters().

## ◆ data

VALUE rb_trace_arg_struct::data

Definition at line 1882 of file vm_core.h.

Referenced by rb_tracearg_eval_script(), rb_tracearg_instruction_sequence(), rb_tracearg_object(), rb_tracearg_raised_exception(), and rb_tracearg_return_value().

## ◆ ec

rb_execution_context_t * rb_trace_arg_struct::ec

Definition at line 1876 of file vm_core.h.

Referenced by rb_exec_event_hooks(), rb_tracearg_binding(), rb_tracearg_parameters(), rb_vmdebug_debug_print_post(), rb_vmdebug_debug_print_pre(), rb_vmdebug_debug_print_register(), rb_vmdebug_stack_dump_raw(), and rb_vmdebug_stack_dump_raw_current().

## ◆ event

rb_event_flag_t rb_trace_arg_struct::event

Definition at line 1875 of file vm_core.h.

Referenced by rb_exec_event_hooks(), rb_tracearg_eval_script(), rb_tracearg_event_flag(), rb_tracearg_instruction_sequence(), rb_tracearg_object(), rb_tracearg_parameters(), rb_tracearg_raised_exception(), and rb_tracearg_return_value().

## ◆ id

ID rb_trace_arg_struct::id

Definition at line 1879 of file vm_core.h.

## ◆ klass

VALUE rb_trace_arg_struct::klass

Definition at line 1881 of file vm_core.h.

## ◆ klass_solved

int rb_trace_arg_struct::klass_solved

Definition at line 1884 of file vm_core.h.

## ◆ lineno

int rb_trace_arg_struct::lineno

Definition at line 1887 of file vm_core.h.

## ◆ path

VALUE rb_trace_arg_struct::path

Definition at line 1888 of file vm_core.h.

## ◆ self

VALUE rb_trace_arg_struct::self

Definition at line 1878 of file vm_core.h.

Referenced by rb_tracearg_self().

The documentation for this struct was generated from the following files:

- vm_core.h
- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h